local function getMonthName(monthNumber)
  local monthNames = {
    "января", "февраля", "марта", "апреля", "мая", "июня",
    "июля", "августа", "сентября", "октября", "ноября", "декабря"
  }
  return monthNames[monthNumber]
end

function sayCurrentDateTime()
  local now = os.date("*t")
  local day = now.day
  local month = now.month
  local year = now.year
  local hour = now.hour
  local minute = now.min
  local dateTimeString = "Сегодня: " .. day .. " " .. getMonthName(month) .. " " .. year .. " года. Текущее время: " .. hour .. " часов " .. minute .. " минут."
  service.asyncSpeak(dateTimeString)
end

sayCurrentDateTime()